com.aliyun.svideosdk.mixrecorder

## Class AliyunMixRecorderDisplayParam.Builder

- java.lang.Object
- - com.aliyun.svideosdk.mixrecorder.AliyunMixRecorderDisplayParam.Builder

- Enclosing class:
    AliyunMixRecorderDisplayParam

      public static final class AliyunMixRecorderDisplayParam.Builder
      extends java.lang.Object

  `AlivcMixRecorderDisplayParam` builder static inner class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AliyunMixRecorderDisplayParam` | `build()` Returns a `AlivcMixRecorderDisplayParam` built from the parameters previously set.
    `AliyunMixRecorderDisplayParam.Builder` | `displayMode(VideoDisplayMode val)` Sets the `mDisplayMode` and returns a reference to this Builder so that the methods can be chained together.
    `AliyunMixRecorderDisplayParam.Builder` | `layoutLevel(int val)` Sets the `mLayoutLevel` and returns a reference to this Builder so that the methods can be chained together.
    `AliyunMixRecorderDisplayParam.Builder` | `layoutParam(AliyunMixTrackLayoutParam val)` Sets the `mLayoutParam` and returns a reference to this Builder so that the methods can be chained together.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### displayMode

          public AliyunMixRecorderDisplayParam.Builder displayMode(VideoDisplayMode val)

      Sets the `mDisplayMode` and returns a reference to this Builder so that the methods can be chained together. Sets the display mode of this track.
      Parameters:
        `val` - The `mDisplayMode`.
      Returns:
        A reference to this Builder.

    - #### layoutLevel

          public AliyunMixRecorderDisplayParam.Builder layoutLevel(int val)

      Sets the `mLayoutLevel` and returns a reference to this Builder so that the methods can be chained together. Sets the layer of this track. Tracks in a higher layer take priority over the ones in a lower layer during rendering.
      Parameters:
        `val` - The `mLayoutLevel`.
      Returns:
        A reference to this Builder.

    - #### layoutParam

          public AliyunMixRecorderDisplayParam.Builder layoutParam(AliyunMixTrackLayoutParam val)

      Sets the `mLayoutParam` and returns a reference to this Builder so that the methods can be chained together. Sets the layout parameter of this track. For more information, see `AliyunMixTrackLayoutParam`.
      Parameters:
        `val` - the `mLayoutParam` to set
      Returns:
        A reference to this Builder.

    - #### build

          public AliyunMixRecorderDisplayParam build()

      Returns a `AlivcMixRecorderDisplayParam` built from the parameters previously set.
      Returns:
        A `AlivcMixRecorderDisplayParam` built with parameters of `AlivcMixRecorderDisplayParam.Builder`.